### Method

# AppStreamCompose Compose set_desktop_entry_l10n_func

#### Declaration [src]

    void
    asc_compose_set_desktop_entry_l10n_func (
      AscCompose* compose,
      AscTranslateDesktopTextFn func,
      gpointer user_data
    )

#### Description [src]

Set a custom desktop-entry field localization functions to be run for specialized desktop-entry localization schemes such as used in Ubuntu.

The callback function may be called from any thread, so it needs to ensure thread safety on its own.

This method is not directly available to language bindings.

#### Parameters

`func`

  Type: `AscTranslateDesktopTextFn`

  The `AscTranslateDesktopTextFn` function to be called.

`user_data`

  Type: `gpointer`

  User data for `func`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.